Bug 241993 - databases/influxdb: Update to 1.7.9 and take maintainership
Summary: databases/influxdb: Update to 1.7.9 and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords: buildisok, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2019-11-15 23:45 UTC by Ben Woods
Modified: 2019-12-19 09:35 UTC (History)
1 user (show)

See Also:
cheffo: maintainer-feedback+


Attachments
Patch to update databases/influxdb to 1.7.9 (20.45 KB, patch)
2019-11-15 23:45 UTC, Ben Woods
woodsb02: maintainer-approval? (cheffo)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2019-11-15 23:45:27 UTC
Created attachment 209174 [details]
Patch to update databases/influxdb to 1.7.9

databases/influxdb: Update to 1.7.9 and take maintainership

Changes this release:
  https://docs.influxdata.com/influxdb/v1.7/about_the_project/releasenotes-changelog/


Hi cheffo, in addition to applying the update I am offering to take maintainership for this port. I am offering because I noticed you have had 3 consecutive timeouts for recent changes proposed by others, with your last submission in March 2018. If you would like to continue to maintain this port, no problems - please just let me know :)
Comment 1 Ben Woods freebsd_committer 2019-11-15 23:46:26 UTC
This patch builds successfully using poudriere testport
Comment 2 Ben Woods freebsd_committer 2019-11-16 05:12:40 UTC
Runtime testing shows this update works without issues or any admin interaction.
Comment 3 Automation User 2019-12-01 00:20:05 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/99711575
Comment 4 commit-hook freebsd_committer 2019-12-01 13:46:50 UTC
A commit references this bug:

Author: woodsb02
Date: Sun Dec  1 13:45:51 UTC 2019
New revision: 518776
URL: https://svnweb.freebsd.org/changeset/ports/518776

Log:
  bases/influxdb: Update to 1.7.9 and take maintainership

  Changes this release:
    https://docs.influxdata.com/influxdb/v1.7/about_the_project/releasenotes-changelog/

  PR:		241993
  Approved by:	cheffo@freebsd-bg.org (maintainer timeout)

Changes:
  head/databases/influxdb/Makefile
  head/databases/influxdb/distinfo
  head/databases/influxdb/pkg-plist
Comment 5 Ben Woods freebsd_committer 2019-12-01 13:49:28 UTC
Committed. Thanks for your all your past efforts in maintaining influxdb on FreeBSD cheffo.
Comment 6 cheffo 2019-12-09 13:56:06 UTC
Go for it. Sorry for being so long afk :/
Comment 7 Ben Woods freebsd_committer 2019-12-10 00:00:41 UTC
Thanks cheffo. I plan to have a look at kapacitor next, as I see it is a bit out of date.

Are you also happy for me to take maintainership of that?

Regards,
Ben
Comment 8 cheffo 2019-12-18 09:04:08 UTC
Sure, if you want to take it. I can share some of my efforst on porting Chronograf (can't get yarn to work offline but at least managed to get the main binary compile) and also can share my work on influx2. It probably have to be a separate port as the concept is changed very much and I belive some users will preffer to stay with influx 1 for longer. The good news is that influx2 compiles without much hasle and kapacitor and chronograf are no longer separate products.
Comment 9 Ben Woods freebsd_committer 2019-12-18 14:13:21 UTC
That’s good news about influx2 - do you want to submit your work on that as a separate bug report or phabricator review now, so I can take a look?
Thanks,
Ben
Comment 10 cheffo 2019-12-19 09:35:09 UTC
Hi,

I've put my work here - https://github.com/cheffo/FreeBSD-Ports/tree/master/databases/influxdb2

It definitelly needs some additional polishing. It's previous alfa build as I have some issues with the lastest release. Also they (influx team) are constantly changing dependencies as you probably already noticed. :)

Influxdb2 does not have configuration file and default paths are little messy. We defenitelly needs a pkg-message to explain some of the major differences.

To get it up and running you also need to specify --bolt-path=/var/db/influxdb/influxd.bolt --engine-path=/var/db/influxdb/engine as by default it tries to work in ~/.influxdb2/ which in our case is in /var/empty/

Obviouslly I do not want to hardcode the paths but still not sure whats the correct way to ensure that default install runs with no additional settings while providing rc options to change all those.

For now I'm just using : ${influxd_flags:="--bolt-path=/var/db/influxdb/influxd.bolt --engine-path=/var/db/influxdb/engine"}

The port will also conflict with previous version with influx as two of the binaries overlaps.

And at the end we have those pre-canned dashboards (https://www.influxdata.com/dashboards/) which are totaly ignored in this version of the port. I'm not even sure if they are bundled with the binary or not. Should I install them in localbase/share/influxdb/ or in localbase/etc/influxdb/?

P.S. in the same repository I have a semiworking port for chronograf 1.7 - there is only one thing which I cannot fix and that's yarn downloads during compilation. Again it's very hackish and not polished :)